GET /serviceengine/{uuid}/botuacacheruntime/
/serviceengine/{uuid}/botuacacheruntime/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"num_entries": 0,
"num_unchecked_entries": 0,
"ua_cache_entries": [
{
"info": {
"expected_normalized_tls_fps": [
{
"grease": "string",
"tls_client_info": {
"cipher_suites": [
0
],
"client_hello_tls_version": 0,
"point_formats": [
0
],
"supported_groups": [
0
],
"tls_extensions": [
0
],
"uses_grease": false
},
"tls_fingerprint": "string"
}
],
"expected_tls_fps": [
{
"grease": "string",
"tls_client_info": {
"cipher_suites": [
0
],
"client_hello_tls_version": 0,
"point_formats": [
0
],
"supported_groups": [
0
],
"tls_extensions": [
0
],
"uses_grease": false
},
"tls_fingerprint": "string"
}
],
"is_abusive": false,
"is_weird": false,
"operating_system_name": "string",
"seen_last_day": 0,
"seen_last_month": 0,
"seen_last_week": 0,
"seen_last_year": 0,
"simple_software_string": "string",
"software_subtype": "string",
"software_type": "string",
"ua_cache_details": {
"first_seen": {
"secs": 0,
"usecs": 0
},
"last_seen": {
"secs": 0,
"usecs": 0
},
"max_age": {
"secs": 0,
"usecs": 0
},
"times_seen": 0,
"user_agent": "string"
}
},
"is_stale": false,
"ja3s": [
"string"
],
"last_queried": {
"secs": 0,
"usecs": 0
},
"normalized_ja3s": [
"string"
],
"rank": 0,
"segment": "string",
"times_queried": 0
}
]
}
Total number of entries in the user-agent cache. Field introduced in 21.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of user-agent cache entries that were not checked with the filter before result limit was reached. Field introduced in 21.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Entries currently loaded in Service Engine user-agent cache. Field introduced in 21.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/botuacacheruntime